Bug 241824 - ethtool does not detect link with broadcom / tg3 network card
ethtool does not detect link with broadcom / tg3 network card
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
https://www.redhat.com/archives/fedor...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-30 16:59 EDT by Till Maas
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-03 11:52:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2007-05-30 16:59:06 EDT
Description of problem:


Version-Release number of selected component (if applicable):
2.6.20-1.2948.fc6 (PAE)

How reproducible:
always

Steps to Reproduce:
1. boot with no network cable attached
2. plug a network cable in
3. run ethtool
  
Actual results:
ethtool shows no link, the network card LED / Swith on the other end shows no
link, too.

Expected results:
Link should be detected

Additional info:
running "service network restart" makes the network card recognize the link,
ethtool also shows it. The problem occurs with the onboard network card of a
Thinkpad X41 notebook. On fedora-test there was an e-mail about this, too:
https://www.redhat.com/archives/fedora-test-list/2007-May/msg00549.html
There it affekts the F7 kernel, too. I did not test a F7 kernel.
Comment 1 Till Maas 2007-09-03 11:52:32 EDT
This bug seems to have vanished, I did not have this probleme recently with F7,
so  I guess it is fixed in FC6, too.
Comment 2 Janina Sajka 2007-09-03 14:54:48 EDT
This is not fixed by F-7 on my system. The problem persists as previously reported.
Indeed, whenever I boot the particular workstation where my tg card is the gigabit ethernet device, I must
run ifup eth0 several times to get a connection--still.
Comment 3 Till Maas 2007-11-04 17:14:35 EST
(In reply to comment #2)
> This is not fixed by F-7 on my system. The problem persists as previously
reported.
> Indeed, whenever I boot the particular workstation where my tg card is the
gigabit ethernet device, I must
> run ifup eth0 several times to get a connection--still.

There may also notice similiar beheaviour when you connect to a gigabit switch
with you gigabit nic but use a network cable that only connects the two cable
pairs that are used for fast ethernet. Then the link goes up after a little
timeout. With the HP switch I use it is around 15 seconds.

When I reported this bug, I also experienced this beheaviour with a  fast
ethernet only setup, where I did not see this bug anymore.

Note You need to log in before you can comment on or make changes to this bug.